### A free/open-source library for quantitative finance

Public Member Functions
StrippedOptionlet Class Reference

`#include <ql/termstructures/volatility/optionlet/strippedoptionlet.hpp>`

Inheritance diagram for StrippedOptionlet:
[legend]

List of all members.

## Public Member Functions

| StrippedOptionlet (Natural settlementDays, const Calendar &calendar, BusinessDayConvention bdc, const boost::shared_ptr< IborIndex > &iborIndex, const std::vector< Date > &optionletDates, const std::vector< Rate > &strikes, const std::vector< std::vector< Handle< Quote > > > &, const DayCounter &dc)
StrippedOptionletBase interface
const std::vector< Rate > & | optionletStrikes (Size i) const
const std::vector< Volatility > & | optionletVolatilities (Size i) const
const std::vector< Date > & | optionletFixingDates () const
const std::vector< Time > & | optionletFixingTimes () const
Size | optionletMaturities () const
const std::vector< Rate > & | atmOptionletRates () const
DayCounter | dayCounter () const
Calendar | calendar () const
Natural | settlementDays () const
BusinessDayConvention | businessDayConvention () const

## Detailed Description

Helper class to wrap in a StrippedOptionletBase object a matrix of exogenously calculated optionlet (i.e. caplet/floorlet) volatilities (a.k.a. forward-forward volatilities).